
upstream lockaz_app_unicorn {
	server unix:/srv/www/web/lockaz_app/shared/unicorn.sock fail_timeout=0;
}






server {
	listen [::]:443 ssl;
	server_name  lockaz.fr;
	root /srv/www/web/lockaz_app/current/public;
	try_files $uri/index.html $uri @unicorn;

	location @unicorn {
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		
    #proxy_redirect off;
		proxy_pass http://lockaz_app_unicorn;
  
    proxy_set_header  Host $host;
    proxy_set_header  X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header  X-Forwarded-Proto $scheme;
    proxy_set_header  X-Forwarded-Ssl on; # Optional
    proxy_set_header  X-Forwarded-Port $server_port;
    proxy_set_header  X-Forwarded-Host $host;
    
    
		proxy_read_timeout 6000;
	}

	error_page 500 502 503 504 /500.html;
	client_max_body_size 4G;
	keepalive_timeout 10;
  
  ssl on;
  ssl_certificate /etc/letsencrypt/live/lockaz.fr/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/lockaz.fr/privkey.pem;
  
  
  include snippets/letsencrypt.conf;
}


server {
	listen [::]:80;
  server_name  lockaz.fr;
  
  return 301 https://lockaz.fr$request_uri;
  
  include snippets/letsencrypt.conf;
}

